Page MenuHomeFreeBSD

new port: security/py-xkcdpass
ClosedPublic

Authored by jacob_jwfh.ca on Aug 12 2019, 6:47 PM.
Tags
None
Referenced Files
F84129312: D21234.id60687.diff
Sun, May 19, 6:44 PM
F84129100: D21234.id66032.diff
Sun, May 19, 6:40 PM
F84129097: D21234.id71629.diff
Sun, May 19, 6:40 PM
F84129077: D21234.id60691.diff
Sun, May 19, 6:40 PM
F84115677: D21234.id73802.diff
Sun, May 19, 3:13 PM
Unknown Object (File)
Tue, May 7, 3:22 PM
Unknown Object (File)
Mon, May 6, 3:24 AM
Unknown Object (File)
Mon, May 6, 3:24 AM
Subscribers

Details

Summary

Add port for XKCDPass, a password generator modelled after XKCD #936

WWW: https://github.com/jwfh/xkcdpass

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Modified security/Makefile to include the new port before py-xmlsec.

Previously the new port was not added in alphabetical order.

0mp requested changes to this revision.Aug 13 2019, 9:03 AM
0mp added a subscriber: 0mp.

Thanks for submission. There are a couple of issues with the current patch, however.

security/py-xkcdpass/Makefile
11 ↗(On Diff #60691)

It would be nice to set LICENSE_FILE

17 ↗(On Diff #60691)

This is the default.

18 ↗(On Diff #60691)

We could use ${DISTVERSION} here.

20 ↗(On Diff #60691)

Is this necessary?

security/py-xkcdpass/pkg-descr
4 ↗(On Diff #60691)

Missing WWW.

security/py-xkcdpass/pkg-plist
22 ↗(On Diff #60691)

This is invalid. Use make makeplist to generate it properly.

This revision now requires changes to proceed.Aug 13 2019, 9:03 AM
security/py-xkcdpass/Makefile
13 ↗(On Diff #60691)

Also, upstream README suggests that Python 2.7 and 3.4<= are supported.

https://github.com/redacted/XKCD-password-generator

Fixed requested changes from 0mp.

Also, since creating the revision a new release (1.17.3.1 -> 1.17.4) is available
so this has also been reflected in the diff.

Note: Setting USES=python:2.7+ will allow building with Python 2.7, 3.5, 3.6, 3.7,
and 3.8, though Python 3.4 is also supported by upstream.

tobik added inline comments.
security/py-xkcdpass/Makefile
14 ↗(On Diff #66032)

python:2.7+ is unnecessary. Just python means the same thing.

Remove tar. It is useless for this port since USE_GITHUB does not use EXTRACT_SUFX.

15 ↗(On Diff #66032)

It seems wrong to have a pkg-plist and USE_PYTHON=autoplist. You probably have duplicate plist entries and make check-plist will complain about with a weird error.

18 ↗(On Diff #66032)

Remove and set DISTVERSIONPREFIX=${PORTNAME}- instead.

security/py-xkcdpass/pkg-descr
1 ↗(On Diff #66032)

I think this description could be improved a lot by explaining XKCD 936 a little.

Updated the port to include the changes requested by tobik.

I also added the DOCS option to allow installing the package's
README file to ${DOCSDIR} as this provides a little more usage
information to the user.

Created a new diff from master to show all changes for the new port rather than just changes made since the last diff was uploaded to Phabricator.

I am new to Phabricator so please advise if this was necessary. I didn't realize the previous diff did not show all of the changes when I attached it to the revision.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 28 2020, 11:39 AM
Closed by commit rP540701: New port: security/py-xkcdpass (authored by 0mp). · Explain Why
This revision was automatically updated to reflect the committed changes.

Committed with very minor changes. Nice work! Thanks for your patience and patches! Looking forward to future contributions! ;)